<?php
// Enqueue child theme styles
function astra_child_enqueue_styles() {
    wp_enqueue_style('astra-child-style', get_stylesheet_uri());
}
add_action('wp_enqueue_scripts', 'astra_child_enqueue_styles');

// Remove WooCommerce product tabs
add_filter('woocommerce_product_tabs', 'remove_woocommerce_product_tabs', 98);
function remove_woocommerce_product_tabs($tabs) {
    unset($tabs['description']); // Remove description tab
    unset($tabs['additional_information']); // Remove additional information tab
    unset($tabs['reviews']); // Remove reviews tab (optional)
    return $tabs;
}

// Remove default WooCommerce hooks to avoid duplication
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20);
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30);
remove_action('woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20);
