<?php
/**
 * Custom Single Product Page Template for Astra Child Theme
 */

defined('ABSPATH') || exit;

global $product;
?>

<div id="product-<?php the_ID(); ?>" <?php wc_product_class('', $product); ?>>

    <!-- Start Two-Column Layout -->
    <div class="product-summary-wrapper">

        <!-- Left Column: Product Details -->
        <div class="left-column">
            <!-- Product Title -->
            <h1 class="product_title"><?php the_title(); ?></h1>

            <!-- Product Price -->
            <p class="price"><?php echo $product->get_price_html(); ?></p>

            <!-- Short Description -->
            <div class="short-description">
                <?php echo apply_filters('woocommerce_short_description', $product->get_short_description()); ?>
            </div>

            <!-- Variations / Add to Cart Button -->
            <div class="variations">
                <?php woocommerce_template_single_add_to_cart(); ?>
            </div>

            <!-- Full Description (Under Variations) -->
            <div class="product-description">
                <h2>Description</h2>
                <?php the_content(); ?>
            </div>
        </div>

        <!-- Right Column: Product Gallery -->
        <div class="right-column">
            <div class="product-gallery">
                <?php woocommerce_show_product_images(); ?>
            </div>
        </div>

    </div>
    <!-- End Two-Column Layout -->

</div>
